%define	name	sshd-monitor
%define	version	0.3
%define	release	%mkrel 2

Summary:	A simple monitor for sshd
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{name}-%{version}.tar.bz2
License:	GPL
Group:		Monitoring
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
Requires:	openssh-server telnet expect
BuildArch:	noarch

%description
A very basic sshd monitor written in expect.

%prep
%setup -q

%build

%install
rm -rf $RPM_BUILD_ROOT
install expect-sshd -D $RPM_BUILD_ROOT%{_datadir}/%{name}/expect-sshd
install sshd-restarter -D $RPM_BUILD_ROOT%{_datadir}/%{name}/sshd-restarter
install -m 644 cron.entry -D $RPM_BUILD_ROOT%{_sysconfdir}/cron.d/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ChangeLog README.CVS
%{_datadir}/%{name}
%config(noreplace) %{_sysconfdir}/cron.d/%{name}


%changelog
* Sun Jan 28 2007 Olivier Thauvin <nanardon@mandriva.org> 0.3-2mdv2007.0
+ Revision: 114743
- mkrel


* Sun Jan  2 2005 Frederic Lepied <flepied@mandrakesoft.com> 0.3-1mdk
- be sure to send the identification string to avoid a log
from openssh (bug #12552).

* Mon Jul 21 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.2-2mdk
- rebuild
- drop Prefix tag
- macroize
- quiet setup
- cosmetics
- BuildArch: noarch

* Thu Feb 14 2002 Frederic Lepied <flepied@mandrakesoft.com> 0.2-1mdk
- only restart sshd when the subsys lock file exists

* Tue Jul  3 2001 Frederic Lepied <flepied@mandrakesoft.com> 0.1-1mdk
- first version

# end of file
